#ifndef	DOUBLE_BUTTON_HPP
#define	DOUBLE_BUTTON_HPP

#include <QPushButton>
#include <QString>
#include <QWidget>

class DoubleButton : public QWidget
{
	Q_OBJECT

public:
	DoubleButton(QString label1, QString label2, QWidget *parent = 0);

signals:
	void leftClicked(void);
	void rightClicked(void);

protected:
	void resizeEvent(QResizeEvent *);
private:
	QPushButton *left, *right;
};

#endif	// DOUBLE_BUTTON_HPP
