#ifndef	_IMAGEENTRY_HPP
#define	_IMAGEENTRY_HPP	1

#include <QClipboard>
#include <QGuiApplication>
#include <QHBoxLayout>
#include <QImage>
#include <QLabel>
#include <QPushButton>
#include <QWidget>

#include <stdint.h>

class ImageEntry : public QWidget
{
	Q_OBJECT

public:
	ImageEntry(QImage image, void *ml_code = 0, void *variant = 0,
		QString info = "", QString subinfo = "", QWidget *parent = 0);
	QPixmap pixmap(void);
	void *ml_code(void);
	void *variant(void);

signals:
	void generate(void *data);

private slots:
	void generate_ml(void);
	void generate_variant(void);
private:
	QPixmap _pixmap;
	void *_ml_code;
	void *_variant;
};

#endif // _IMAGEENTRY_HPP
