#include "generating.hpp"

QString generate(const uint8_t *data, int bytes, int spaces, int wrap80)
{
	QString code = "{ ";
	int n;

	for(n = 0; n < bytes - 1; n++)
	{
		code += QString("%1,").arg((int)data[n]);
		if(wrap80 && code.length() - code.lastIndexOf('\n') > 75)
			code += '\n';
		else if(spaces) code += ' ';
	}
	code += QString("%1 }").arg((int)data[n]);

	return code;
}
